Package ru.bitel.bgbilling.modules.paylinks.server.bean

# Class MethodManager

java.lang.Object
ru.bitel.bgbilling.modules.paylinks.server.bean.MethodManager

    public class MethodManager
    extends java.lang.Object

Менеджер методов. Работает с конфигом. Конфиг имеет вид:

     (method.2.)title=Test Тест
     (method.2.)url=http://127.0.0.1:8080/bgbilling/webexecuter?action=Paylinks&mid=200&module=paylinks
     (method.2.)description=бла бла
     (method.2.)confirm=бла бла
     (method.2.)[result.]success=Хорошо, платёж на сумму ${url.sum} прошёл
     (method.2.)[result.]failed=Плохо, платёж на сумму ${url.sum} не прошёл
     (method.2.)[result.]test=test тест

В шаблонах url, description, confirm и result.* могут быть макроподстановки. Они подставляются в веб-экшенах. Сначала отрезаются всё в (круглых скобках) и собирается в мэп с модельками Method. Потом в этой модельке создаётся подмэп шаблонов ответов, отрезая в [квадратных скобках].

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MethodManager​(ParameterMap setup)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Method` | `getMethod​(int methodId)` | Получает метод по его ид из конфига.
  `java.util.List<IdTitle>` | `getMethods()` | Возвращает последовательный список методов в виде IdTitle.
  `java.lang.String` | `getTitle​(int methodId)` | Заголовок метода.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodManager

    public MethodManager​(ParameterMap setup)

- ## Method Details

  - ### getTitle

    public java.lang.String getTitle​(int methodId)
    Заголовок метода.
    Parameters:
      `methodId` - номер метода.
    Returns:
      строка - заголовок. или "?#код" если такого не найдено.

  - ### getMethod

    public Method getMethod​(int methodId) throws ru.bitel.bgbilling.common.BGException
    Получает метод по его ид из конфига. Тут же проверяется его наличие, если такого нет - бросается исключение.
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException` - ошибка.
      `ru.bitel.bgbilling.common.BGException`

  - ### getMethods

    public java.util.List<IdTitle> getMethods()
    Возвращает последовательный список методов в виде IdTitle.
    Returns:
      список IdTitle.